Here We Go Again [E-Sports Calendar Part 1]

Many people have been wondering why the Calendar Development [2026-06-10 to 2026-08-25] posts randomly stopped, well that’s a really simple thing for me to explain.

Sadly the tool I used to pull in my E-Sports events broke due to something…I don’t know, I had trouble getting in touch with the person I was getting the data source from.

Now for some back story, I started doing the ABC Method [Franklin Planner Method] back in middle/high school, then later I began using the ICS files from Liquipedia directly. But when they took down the S3 [Amazon Web Services] Buckets I had to find other sources of data.

When that fell apart I began looking for other sources, and they always focused on only the big names: DOTA2, Counter-Strike, Call of Duty, or Overwatch.

While I do love some Counter-Strike, I much prefer StarCraft or Team Fortress matches.

Now where do I go for E-Sports data? Well, Liquipedia’s API was the best option. At first I was rejected since they don’t approve free APIs for those “looking to replicate core features of Liquipedia.” After I explained my project better I was approved by a team member directly after reaching out on the Discord. [thanks again to Nydra and the amazing team]

Right now my main goal is parsing and triaging events into the ABC/123 methodology. Ideally I’m trying to keep as close to RFC 5545, RFC 7953, RFC 7986, and RFC 9073 as I can. I’m also aware that Liquipedia is planning to launch a calendar export at some point depending on their roadmap [which is why they normally decline these types of requests for personal calendar tools].

So ideally I want to make this tool work for anyone using the ABC/123 method, once the API opens for these kinds of projects or possibly if their own Calendar Export function works along the same lines as their API, it might be possible to extend this for other planner systems.

Biggest issue I’m having at the moment is the parsing making new lines for my VMed old copy of PlanPlus 4.0, but on both Google Calendar and NextCloud it for some reason refuses to render properly. [If someone knows what causing this DM on Mastodon or comment]

So I’ll have to troubleshoot that, but so far the data from Liquipedia is running amazingly.

I might even try to make a tool for handling Filofax, DayTimer, or TimeBlock systems, but for now I’m focusing on the Franklin Planner Method since that’s what I’ve been using for years in my daily life.

Now if anyone needs me, I’ll be blasting Chromaggia by Sarah Brightman before going to sleep.

Comments (0)

No comments yet.

Leave a Reply

Your email address will not be published. Required fields are marked *